
QGIS Application - Bug report #7175

fTools - Clip not working

2013-02-17 06:18 AM - vinayan Parameswaran

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Ubuntu Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16226

Description

Hi,

Clip is not working when clicking ok button in latest master...stacktrace below.

Debug: src/core/qgsmessagelog.cpp: 45: (logMessage) 2013-02-17T19:45:40 Python error

1

 An error has occured while executing Python

code:

Traceback (most recent call last):

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doGeoprocessing.py", line 315, in run

    geos, feature, match, error = self.clip()

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doGeoprocessing.py", line 1345, in clip

    crsA = vproviderA.crs()

NameError: global name 'vproviderA' is not defined

Python version:

2.7.3 (default, Aug  1 2012, 05:25:23) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, 8e3e201

History

#1 - 2013-02-17 07:49 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#2 - 2013-02-17 01:25 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:d8ec492dec

#3 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
